/* Course page */
.course-page-seo .arrow-element {
  border-bottom: 2px solid rgba(255, 255, 255, 0.4);
  border-right: 2px solid rgba(255, 255, 255, 0.4);
}

.course-page-seo .arrow path {
  fill: var(--white);
}

.course-page-seo .breadcrumbs span:last-child {
  color: var(--lightest-grey);
}

.header_colorful {
  background-color: var(--dark-grey);
}

@media (max-width: 500px) {
  .course-page-seo .arrow-down {
    top: -43px;
  }
}
/* Course banner */
.course-banner {
  position: relative;
}
.course-banner__wrapper {
  position: relative;
  overflow: hidden;
  min-height: 572px;
}
.course-banner h1 {
  color: var(--white);
}
.course-banner__top-block {
  max-width: 600px;
  margin-bottom: 50px;
}
.course-banner__top-block .sub-info {
  display: inline-block;
  margin-bottom: 30px;
}
.course-banner__block {
  color: var(--white);
  margin-bottom: 50px;
}
.course-banner__title {
  margin-bottom: 146px;
}
.course-banner__text {
  max-width: 630px;
  font-weight: 500;
  font-size: 24px;
  color: var(--white);
}
.course-banner__bottom-block {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}
.course-banner__bottom-block_mobile {
  display: none;
}
.course-banner__item {
  display: flex;
  flex-direction: column;
  gap: 30px;
  backdrop-filter: blur(10px);
  background: rgba(61, 61, 61, 0.5);
  padding: 20px 30px;
}
.course-banner__item-title {
  font-weight: 400;
  font-size: 14px;
  color: var(--grey7);
}
.course-banner__item-term {
  font-weight: 600;
  font-size: 18px;
  color: var(--white);
}
.course-banner__formats {
  display: flex;
  flex-wrap: wrap;
  align-items: flex-start;
  gap: 10px;
}
.course-banner__format {
  font-weight: 600;
  color: var(--white);
  background-color: var(--grey);
  padding: 5px 10px;
}
.course-banner__img-wrap {
  position: absolute;
  max-width: 868px;
  height: auto;
  right: -220px;
  top: -30px;
  z-index: -1;
}
.course-banner__buttons-wrap {
  display: flex;
  gap: 30px;
}
.course-banner__price {
  font-weight: 700;
  font-size: 18px;
  color: var(--white);
}
.course-banner__sub-block {
  display: flex;
  flex-direction: column;
  gap: 5px;
}
.course-banner__subtext {
  font-size: 12px;
  color: var(--grey7);
}

@media (max-width: 1024px) {
  .course-banner__wrapper {
    min-height: unset;
  }
  .course-banner__title {
    margin-bottom: 100px;
  }
  .course-banner__text {
    font-size: 22px;
  }
  .course-banner__item {
    gap: 15px;
    padding: 20px;
  }
  .course-banner__img-wrap {
    max-width: 550px;
    right: -140px;
    top: 60px;
  }
}
@media (max-width: 768px) {
  .course-banner__top-block {
    max-width: 100%;
  }
  .course-banner__block {
    margin-bottom: 20px;
  }
  .course-banner__title {
    margin-bottom: 50px;
  }
  .course-banner__text {
    font-size: 18px;
    max-width: 100%;
  }
  .course-banner__bottom-block_desktop {
    display: none;
  }
  .course-banner__bottom-block_mobile {
    display: flex;
    gap: 10px;
  }
  .course-banner__item-title {
    font-size: 14px;
  }
  .course-banner__item-description {
    font-size: 16px;
  }
  .course-banner__img-wrap {
    position: unset;
    max-width: 392px;
    justify-self: center;
  }
}
@media (max-width: 600px) {
  .course-banner__top-block .sub-info {
    margin-bottom: 20px;
  }
  .course-banner__button {
    width: 100%;
    text-align: center;
  }
  .course-banner__img-wrap {
    max-width: 302px;
  }
  .course-banner__bottom-block_mobile {
    flex-direction: column;
  }
  .course-banner__item-term,
  .course-banner__price {
    font-size: 16px;
  }
}
@media (max-width: 320px) {
  .course-banner__text {
    font-size: 16px;
  }
}

/* About spec */

.about-spec h2 {
  color: var(--white);
}

.about-spec__wrapper {
  color: var(--white);
  background-color: var(--grey8);
  border: 1px solid var(--grey8);
  padding: 50px;
  margin-bottom: 30px;
}
.about-spec__header {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 30px;
  margin-bottom: 30px;
}
.about-spec__tab-content {
  display: grid;
  grid-template-columns: minmax(0, 1fr) minmax(0, 1fr);
  gap: 30px;
  align-items: center;
}
.about-spec__tab-button {
  font-family: inherit;
  font-weight: 700;
  font-size: 16px;
  color: var(--white);
  background-color: transparent;
  border: 1px solid var(--grey3);
  transition: all 0.3s ease;
  padding: 20px 50px;
}
@media (any-hover: hover) {
  .about-spec__tab-button:hover {
    color: var(--grey);
    background-color: var(--white);
    border: 1px solid var(--white);
  }
}
.about-spec__tab-button:active {
  color: var(--grey);
  background-color: var(--white);
  border: 1px solid var(--white);
}
.about-spec__tab-button.active {
  color: var(--grey);
  background-color: var(--white);
  border: 1px solid var(--white);
}
.about-spec__img-wrap {
  width: 100%;
  max-width: 592px;
}
.about-spec__content {
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: space-between;
  gap: 50px;
}
.about-spec__title {
  font-weight: 700;
  font-size: 24px;
}
.about-spec__descs {
  max-width: 558px;
  min-height: 228px;
  display: flex;
  flex-direction: column;
  gap: 30px;
}
.about-spec__text {
  font-size: 18px;
  display: flex;
  align-items: flex-start;
  gap: 15px;
}
.about-spec__icon-wrap {
  max-width: 26px;
  flex-shrink: 0;
}

@media (max-width: 1024px) {
  .about-spec__header {
    gap: 10px;
  }
  .about-spec__wrapper {
    padding: 30px;
  }
  .about-spec__tab-content {
    grid-template-columns: 1fr;
  }
  .about-spec__descs {
    min-height: unset;
  }
  .about-spec__content {
    order: -1;
  }
  .about-spec__img-wrap,
  .about-spec__descs {
    max-width: unset;
  }
}

@media (max-width: 850px) {
  .about-spec__tab-button {
    padding: 15px;
  }
}

@media (max-width: 680px) {
  .about-spec__tab-button {
    width: 100%;
    text-align: left;
  }
  .about-spec__wrapper {
    background-color: transparent;
    padding: 0;
  }
  .about-spec__tab-panel {
    background-color: var(--grey8);
    border: 1px solid var(--grey3);
    padding: 30px 20px;
  }
  .about-spec__text {
    font-size: 16px;
  }
  .about-spec__content {
    gap: 30px;
  }
}

/* Footer spec */

.footer-spec {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 60px;
  color: var(--white);
  border: 1px solid var(--grey3);
  padding: 50px 30px;
}
.footer-spec__help,
.footer-spec__future {
  display: flex;
  flex-direction: column;
  gap: 50px;
}
.footer-spec__desc {
  max-width: 545px;
  display: flex;
  flex-direction: column;
  gap: 30px;
}
.footer-spec__icon-wrap {
  max-width: 40px;
  width: 100%;
  flex-shrink: 0;
}
.footer-spec__header {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  margin-bottom: 30px;
}
.footer-spec__tab {
  font-family: inherit;
  font-weight: 700;
  font-size: 16px;
  color: var(--white);
  background-color: transparent;
  border: 1px solid var(--grey3);
  transition: all 0.3s ease;
  padding: 14px 18px;
}
@media (any-hover: hover) {
  .footer-spec__tab:hover {
    color: var(--grey);
    background-color: var(--white);
    border: 1px solid var(--white);
  }
}
.footer-spec__tab:active {
  color: var(--grey);
  background-color: var(--white);
  border: 1px solid var(--white);
}
.footer-spec__tab.active {
  color: var(--grey);
  background-color: var(--white);
  border: 1px solid var(--white);
}
.footer-spec__description {
  background-color: var(--grey8);
  padding: 30px 20px;
}
.footer-spec__progress-container {
  display: flex;
  flex-direction: column;
  gap: 30px;
  background-color: var(--grey8);
  border: 1px solid var(--grey3);
  padding: 30px 15px;
}
.footer-spec__mobile-progress {
  display: none;
  margin-top: 30px;
}
.progress-bar {
  display: flex;
  gap: 8px;
}
.progress-line {
  width: 100%;
  height: 4px;
  background-color: var(--grey2);
  transition: all 0.3s ease;
  cursor: pointer;
  position: relative;
  overflow: hidden;
}
.progress-line::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
  width: 0%;
  background-color: var(--white);
  transition: width 0s linear;
}
.progress-line.active::before {
  width: 100%;
  transition: width 5s linear;
}
.progress-line.completed::before {
  width: 100%;
  transition: none;
}
.footer-spec__progress-swiper {
  height: auto;
  margin-bottom: 25px;
}
.footer-spec__progress-item {
  display: flex;
  flex-direction: column;
  gap: 30px;
}
.footer-spec__progress-title {
  font-weight: 600;
  font-size: 22px;
  color: var(--white);
}
.footer-spec__progress-description {
  color: var(--white);
}
.footer-spec__video-wrap {
  max-width: 620px;
  width: 100%;
  flex-shrink: 0;
}

@media (max-width: 1024px) {
  .footer-spec {
    flex-direction: column;
    display: flex;
  }
  .footer-spec__desc {
    max-width: unset;
  }
}

@media (max-width: 768px) {
  .footer-spec__help,
  .footer-spec__future {
    gap: 30px;
  }
}

@media (max-width: 600px) {
  .footer-spec__tabs,
  .footer-spec__tab-content {
    display: none;
  }
  .footer-spec__mobile-progress {
    display: block;
  }
  .footer-spec {
    border: none;
    padding: 0;
  }
  .footer-spec__help {
    background-color: var(--grey8);
    border: 1px solid var(--grey3);
    padding: 30px 20px;
  }
  .footer-spec__mobile-progress {
    margin-top: 0;
  }
  .footer-spec__icon-wrap {
    max-width: 30px;
  }
}

/* Curriculum */

.curriculum h2 {
  color: var(--white);
}

/* Docs */

.docs__blocks,
.docs__block {
  background-color: var(--grey8);
}
.docs__block {
  border: none;
}

@media (max-width: 1023px) {
  .docs__blocks {
    background-color: unset;
  }
}

/* Acco */

.expand-trigger:not(:last-child) {
  margin-bottom: 1px;
}
.expand {
  font-weight: 700;
  font-size: 24px;
  color: var(--white);
  background-color: var(--grey2);
  border: none;
  padding: 30px;
}
@media (any-hover: hover) {
  .expand:hover {
    background-color: var(--grey4);
  }
}
.expand:active {
  background-color: var(--grey4);
}
.expand-trigger.active .expand {
  background-color: var(--grey4);
}
.expand-answer {
  color: var(--white);
  background-color: var(--grey2);
}
.acco__text-wrap {
  display: flex;
  flex-direction: column;
  font-size: 18px;
  line-height: 20px;
  padding: 30px;
}
.acco__text {
  display: flex;
  align-items: flex-start;
  gap: 10px;
}
.acco__icon {
  position: relative;
  flex-shrink: 0;
  width: 36px;
  height: 36px;
  border-radius: 50%;
  background-color: var(--main-yellow);
  transition: background-color 0.35s ease;
}
.acco__icon::before,
.acco__icon::after {
  content: "";
  position: absolute;
  left: 50%;
  top: 50%;
  width: 16px;
  height: 2px;
  border-radius: 2px;
  background-color: var(--dark-grey);
  transform-origin: center;
  transition:
    transform 0.55s ease,
    background-color 0.55s ease;
}
.acco__icon::before {
  transform: translate(-50%, -50%);
}
.acco__icon::after {
  transform: translate(-50%, -50%) rotate(90deg);
}
.expand-trigger.active .acco__icon {
  background-color: var(--dark-grey);
}
.expand-trigger.active .acco__icon::before,
.expand-trigger.active .acco__icon::after {
  background-color: var(--white);
}
.expand-trigger.active .acco__icon::after {
  transform: translate(-50%, -50%) rotate(0deg);
}
.acco__content {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

@media (max-width: 768px) {
  .expand,
  .acco__text-wrap {
    padding: 25px 15px;
  }
}

@media (max-width: 768px) {
  .expand {
    font-size: 18px;
  }
  .acco__text-wrap {
    font-size: 16px;
  }
}

/* You get */

.you-get,
.you-get h2 {
  color: var(--white);
}
.you-get__block {
  margin-bottom: 50px;
}
.you-get__content {
  display: flex;
  flex-direction: column;
  gap: 30px;
  margin-bottom: 50px;
}
.you-get__desk {
  display: flex;
  align-items: flex-start;
  gap: 10px;
}
.you-get__desk_accent {
  font-weight: 700;
}
.you-get .arrow {
  position: absolute;
  top: 50%;
  left: 10px;
  width: 30px;
  height: 30px;

  border-radius: 30px;
  box-shadow: -3px 3px 10px 0 rgba(77, 77, 77, 0.3);
  background-color: var(--white);
  border-radius: 50%;
  border: none;

  display: flex;
  align-items: center;
  justify-content: center;

  cursor: pointer;
  pointer-events: auto;
  transition: all 0.3s ease;
  transform: translateY(-50%);

  z-index: 2;
  padding: 0;
}
@media (any-hover: hover) {
  .you-get .arrow:hover {
    opacity: 0.8;
  }
}
.you-get .arrow:active {
  opacity: 0.8;
}
.you-get .arrow img {
  max-width: 17px;
  width: 100%;
  height: auto;
}
.you-get .arrow.arrow_next {
  left: unset;
  right: 10px;
}
.arrow.arrow_prev img {
  transform: rotate(-180deg);
}
.you-get__swiper {
  overflow: hidden;
}
.you-get__swiper-wrapper {
  align-items: center;
  min-height: 520.5px;
}
.you-get__slide {
  text-align: center;
  font-size: 18px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
  box-sizing: border-box;
  transition: width 0.3s ease;
  cursor: pointer;
}
.you-get__slide.swiper-slide {
  width: 283px;
}
.you-get__slide:not(.gallery-slide-active) .you-get__img-wrap {
  position: relative;
}
.you-get__slide:not(.gallery-slide-active) .you-get__img-wrap::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(80, 80, 80, 0.3);
  transition: opacity 0.3s ease;
}
.gallery-slide-active .you-get__img-wrap {
  height: 520.5px;
  width: 735px;
  max-width: 735px;
  z-index: 10;
}
.gallery-slide-active .you-get__img-wrap::after {
  opacity: 0;
}
.gallery__slide.swiper-slide-active {
  width: 703px !important;
}
.you-get__img-wrap {
  width: 100%;
  height: 377px;
  transition: all 0.3s ease;
  overflow: hidden;
}

@media (max-width: 599px) {
  .gallery-slide-active .you-get__img-wrap,
  .you-get__img-wrap {
    height: unset;
  }
  .you-get__swiper-wrapper {
    min-height: unset;
  }
}

/* Graduate */

.graduate-reviews h2 {
  color: var(--white);
  margin-bottom: 0;
}
.graduate-reviews__header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 70px;
}
.graduate-reviews .arrow {
  background-color: var(--grey15);
}
@media (any-hover: hover) {
  .graduate-reviews .arrow:hover {
    background-color: var(--grey9);
  }
}
.graduate-reviews .arrow:active {
  background-color: var(--grey9);
}
.graduate-reviews__content {
  position: relative;
}
.graduate-reviews__review-video {
  display: block;
  width: 100%;
  aspect-ratio: 9 / 16;
  object-fit: contain;
}

@media (max-width: 600px) {
  .graduate-reviews__pagination {
    display: none;
  }
}

/* Labor */

.labor h2 {
  color: var(--white);
}
.labor__wrapper {
  display: grid;
  grid-template-columns: minmax(0, 1fr) minmax(0, 1fr);
  align-items: center;
  gap: 50px;
  background-color: var(--grey2);
  padding: 56px 70px 56px 30px;
}
.labor__blocks {
  display: flex;
  flex-direction: column;
  gap: 30px;
  max-width: 555px;
}
.labor__img-wrap {
  justify-self: self-end;
  max-width: 437px;
  width: 100%;
}
.labor__block {
  display: flex;
  align-items: flex-start;
  gap: 15px;
  font-size: 18px;
  color: var(--white);
}
.labor__icon-wrap {
  max-width: 40px;
  width: 100%;
  flex-shrink: 0;
}

@media (max-width: 1024px) {
  .labor__wrapper {
    grid-template-columns: 1fr;
  }
  .labor__blocks {
    max-width: unset;
  }
  .labor__img-wrap {
    justify-self: center;
  }
}

@media (max-width: 768px) {
  .labor__img-wrap {
    max-width: 317px;
  }
}

@media (max-width: 600px) {
  .labor__wrapper {
    background-color: var(--grey8);
    border: 1px solid var(--grey3);
    padding: 30px 20px;
  }
  .labor__img-wrap {
    max-width: 230px;
  }
  .labor__block {
    font-size: 16px;
  }
  .labor__icon-wrap {
    max-width: 30px;
  }
}

/* Career track */

.career-track__wrapper {
  display: grid;
  grid-template-columns: auto auto;
  gap: 50px;
}
.career-track__left {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 20px;
}
.career-track__title {
  font-weight: 700;
  font-size: 24px;
  color: var(--white);
}
.career-track__img-wrap {
  width: 100%;
  max-width: 710px;
}
.career-track__content {
  width: 100%;
  max-width: 580px;
  justify-self: end;
  display: flex;
  flex-direction: column;
  gap: 40px;
  color: var(--white);
}
.career-track__block {
  position: relative;
  display: flex;
  align-items: flex-start;
  gap: 30px;
}
.career-track__block::after {
  content: "";
  position: absolute;
  left: 15px;
  top: 40px;
  bottom: -30px;
  width: 1px;
  background-color: var(--grey3);
}
.career-track__block:last-child::after {
  display: none;
}
.career-track__circle {
  flex-shrink: 0;
  border-radius: 50px;
  width: 30px;
  height: 30px;
  background-color: var(--main-yellow);
}
.career-track__item {
  display: flex;
  flex-direction: column;
  gap: 15px;
}
.career-track__item-title {
  font-weight: 700;
  font-size: 24px;
  color: var(--main-yellow);
}
.career-track__text {
  font-size: 18px;
}

@media (max-width: 1024px) {
  .career-track__wrapper {
    gap: 20px;
  }
  .career-track__left {
    justify-content: unset;
  }
  .career-track__title {
    font-size: 22px;
  }
  .career-track__content {
    gap: 25px;
  }
  .career-track__item-title {
    font-size: 20px;
  }
  .career-track__text {
    font-size: 16px;
  }
  .career-track__circle {
    width: 25px;
    height: 25px;
  }
  .career-track__block::after {
    left: 12px;
    top: 35px;
    bottom: -15px;
  }
}

@media (max-width: 768px) {
  .career-track__wrapper {
    grid-template-columns: 1fr;
  }
  .career-track__img-wrap {
    max-width: unset;
  }
  .career-track__content {
    max-width: unset;
    justify-self: unset;
  }
}

/* Where work */

.where-work h2 {
  color: var(--white);
}
.where-work__cards {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 30px;
  margin-bottom: 70px;
}
.where-work__card {
  display: flex;
  flex-direction: column;
  gap: 30px;
  border: 1px solid var(--grey3);
  color: var(--white);
  padding: 30px 20px;
}
.where-work__icon-wrap {
  max-width: 50px;
  width: 100%;
  flex-shrink: 0;
}
.where-work__desc {
  display: flex;
  flex-direction: column;
  gap: 15px;
}
.where-work__card-title {
  font-weight: 700;
  font-size: 20px;
}
.where-work__card-text {
  font-size: 18px;
  color: var(--grey7);
}

@media (max-width: 1200px) {
  .where-work__cards {
    grid-template-columns: repeat(3, 1fr);
    gap: 15px;
  }
  .where-work__card {
    gap: 25px;
    padding: 20px;
  }
  .where-work__card-title {
    font-size: 18px;
  }
  .where-work__card-text {
    font-size: 16px;
  }
  .where-work__icon-wrap {
    max-width: 30px;
  }
}

@media (max-width: 768px) {
  .where-work__cards {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 600px) {
  .where-work__cards {
    grid-template-columns: 1fr;
  }
}

/* Facts */
.facts {
  margin-bottom: 70px;
}
.facts__title {
  font-weight: 700;
  font-size: 24px;
  color: var(--white);
  margin-bottom: 50px;
}
.facts__blocks {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 30px;
}
.facts__block {
  display: flex;
  flex-direction: column;
  gap: 15px;
  padding: 0 20px;
}
.facts__number {
  font-weight: 700;
  font-size: 30px;
  color: var(--white);
}
.facts__text {
  font-size: 18px;
  color: var(--grey7);
}
.where-work__footer-text {
  font-weight: 700;
  font-size: 18px;
  color: var(--white);
}

@media (max-width: 1024px) {
  .facts {
    margin-bottom: 50px;
  }
  .facts__blocks {
    grid-template-columns: repeat(2, 1fr);
  }
  .facts__number {
    font-size: 22px;
  }
  .facts__text {
    font-size: 16px;
  }
  .facts__block {
    border: 1px solid var(--grey3);
    padding: 20px;
  }
}

@media (max-width: 768px) {
  .facts {
    margin-bottom: 30px;
  }
  .facts__blocks {
    gap: 15px;
  }
  .where-work__footer-text {
    font-weight: 400;
    font-size: 16px;
  }
}

@media (max-width: 600px) {
  .facts__blocks {
    grid-template-columns: 1fr;
  }
}

/* Entrance order */

.entrance-order h2 {
  color: var(--white);
}
.entrance-order__blocks {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 57px;
}
.entrance-order__img-wrap {
  max-width: 506px;
  height: 100%;
}
.entrance-order__img-wrap img {
  object-fit: contain;
}
.entrance-order__steps {
  max-width: 715px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 30px;
}
.entrance-order__step-block {
  display: flex;
  gap: 30px;
  position: relative;
}
.entrance-order__step-block:not(:last-child)::after {
  content: "";
  position: absolute;
  left: 24.5px;
  top: calc(44px + 30px);
  bottom: 0;
  width: 1px;
  background: var(--grey3);
}
.entrance-order__step {
  display: inline-block;
  max-width: 49px;
  width: 100%;
  text-align: center;
  align-self: flex-start;
  font-weight: 700;
  font-size: 24px;
  background: var(--white);
  padding: 10px;
}
.entrance-order__step-info {
  max-width: 636px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 30px;
  color: var(--white);
  background-color: var(--grey2);
  padding: 30px;
}
.entrance-order__step-title {
  font-weight: 700;
  font-size: 24px;
}
.entrance-order__button {
  align-self: flex-start;
}
.entrance-order__icon-wrap {
  display: none;
}

@media (max-width: 1024px) {
  .entrance-order__img-wrap {
    display: none;
  }
  .entrance-order__blocks {
    grid-template-columns: 1fr;
  }
  .entrance-order__step-info {
    max-width: unset;
  }
  .entrance-order__steps {
    max-width: unset;
  }
}

@media (max-width: 768px) {
  .entrance-order__button {
    width: unset;
  }
  .entrance-order__step-block:not(:last-child)::after {
    display: none;
  }
  .entrance-order__step-block {
    position: relative;
  }
  .entrance-order__step {
    position: absolute;
    right: 10px;
    top: -10px;
    font-weight: 600;
    font-size: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: var(--main-yellow);
    color: var(--grey);
    max-width: 34px;
    width: 100%;
    height: 34px;
  }
  .entrance-order__button {
    width: 100%;
  }
  .entrance-order__desc-wrapper {
    display: flex;
    align-items: center;
    gap: 15px;
  }
  .entrance-order__icon-wrap {
    display: block;
    max-width: 40px;
    display: flex;
    flex-shrink: 0;
  }
}

@media (max-width: 600px) {
  .entrance-order__step-info {
    gap: 25px;
    padding: 30px 20px;
  }
  .entrance-order__step-title {
    font-size: 18px;
  }
  .entrance-order__button {
    padding: 15px;
  }
}

/* Tutor */

.tutor h2 {
  color: var(--white);
}
.tutor__blocks {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 60px;
  border: 1px solid var(--grey3);
  padding: 50px 30px;
}
.tutor__block {
  max-width: 550px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 50px;
}
.tutor__img-wrap {
  max-width: 550px;
  width: 100%;
}
.tutor__text {
  font-size: 18px;
  color: var(--white);
  position: relative;
  padding-left: 40px;
}
.tutor__text::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;

  width: 26px;
  height: 26px;

  background-image: url("../img/icons/check-yellow-square.png");
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
}

@media (max-width: 1024px) {
  .tutor__blocks {
    gap: 30px;
  }
}

@media (max-width: 890px) {
  .tutor__blocks {
    grid-template-columns: 1fr;
  }
  .tutor__block,
  .tutor__img-wrap {
    max-width: unset;
  }
}

@media (max-width: 600px) {
  .tutor__wrapper {
    background-color: var(--grey8);
    border: 1px solid var(--grey3);
    padding: 30px 20px;
  }
  .tutor__blocks {
    border: none;
    padding: 0;
  }
  .tutor__block {
    gap: 20px;
  }
  .tutor__text {
    font-size: 16px;
  }
}

/* Teachers */

.teachers h2 {
  color: var(--white);
  margin-bottom: 0;
}
.teachers__header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 70px;
}
.teachers .arrow {
  background-color: var(--grey15);
}
.teachers__content {
  height: 100%;
  display: flex;
  flex-direction: column;
  gap: 15px;
  color: var(--white);
}
.teachers__desc-block {
  height: 100%;
  display: flex;
  flex-direction: column;
  gap: 20px;
  border: 1px solid var(--grey3);
  padding: 30px 20px;
}
.teachers__desc-title {
  font-weight: 700;
  font-size: 24px;
}
.teachers__job {
  font-weight: 700;
  font-size: 14px;
  color: var(--grey7);
}
.teachers__desc {
  line-height: 20px;
}

@media (max-width: 1024px) {
  .teachers__desc-title {
    font-size: 20px;
  }
}

@media (max-width: 860px) {
  .teachers__header {
    margin-bottom: 50px;
  }
}

@media (max-width: 768px) {
  .teachers__desc-block {
    padding: 20px;
  }
  .teachers__desc-block {
    background-color: var(--grey2);
    border: none;
  }
}

@media (max-width: 600px) {
  .teachers__pagination {
    display: none;
  }
}

/* Lk */

.lk h2 {
  color: var(--white);
}
.lk__blocks {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 60px;
  background-color: var(--grey8);
  padding: 50px 30px;
}
.lk__block {
  display: flex;
  flex-direction: column;
  gap: 50px;
  color: var(--white);
}
.lk__img-wrap {
  max-width: 600px;
  width: 100%;
}
.lk__text {
  font-size: 18px;
  color: var(--lightest-grey2);
  position: relative;
  padding-left: 40px;
}
.lk__list-title {
  font-weight: 700;
  margin-bottom: 15px;
}
.lk__text::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;

  width: 26px;
  height: 26px;

  background-image: url("../img/icons/check-yellow-square.png");
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
}
.lk__list {
  max-width: 425px;
}
.lk__item {
  display: flex;
  align-items: flex-start;
  gap: 10px;
  color: var(--lightest-grey2);
}

@media (max-width: 1024px) {
  .lk__blocks {
    gap: 30px;
  }
}

@media (max-width: 890px) {
  .lk__blocks {
    grid-template-columns: 1fr;
  }
  .lk__img-wrap {
    max-width: unset;
  }
}

@media (max-width: 600px) {
  .lk__wrapper {
    background-color: var(--grey8);
    border: 1px solid var(--grey3);
    padding: 30px 20px;
  }
}

@media (max-width: 600px) {
  .lk__blocks {
    padding: 0;
  }
  .lk__block {
    gap: 20px;
  }
  .lk__text {
    font-size: 16px;
  }
}

/* Faq course */

.faq-course h2 {
  color: var(--white);
}
.faq-course__content {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.faq-course__item:not(:last-child) {
  border-bottom: 1px solid var(--grey3);
  margin-bottom: 0;
}
.faq-course__expand {
  background-color: var(--dark-grey);
}
.faq-course__expand:hover {
  background-color: var(--grey2);
}
@media (any-hover: hover) {
  .faq-course__expand:hover {
    background-color: var(--grey2);
  }
}
.expand-trigger.active .faq-course__expand {
  background-color: unset;
}
@media (any-hover: hover) {
  .expand-trigger.active .faq-course__expand:hover {
    background-color: var(--grey2);
  }
}
.expand-trigger.active .faq-course__expand:active {
  background-color: var(--grey2);
}
.faq-course__title {
  font-weight: 700;
  font-size: 24px;
  padding-right: 50px;
}
.faq-course__icon {
  position: relative;
  flex-shrink: 0;
  width: 46px;
  height: 46px;
  border-radius: 50%;
  background-color: var(--white);
  transition: background-color 0.35s ease;
}
.faq-course__icon::before,
.faq-course__icon::after {
  content: "";
  position: absolute;
  left: 50%;
  top: 50%;
  width: 16px;
  height: 2px;
  border-radius: 2px;
  background-color: var(--dark-grey);
  transform-origin: center;
  transition:
    transform 0.55s ease,
    background-color 0.55s ease;
}
.faq-course__icon::before {
  transform: translate(-50%, -50%);
}
.faq-course__icon::after {
  transform: translate(-50%, -50%) rotate(90deg);
}
.expand-trigger.active .faq-course__icon {
  background-color: var(--dark-grey);
}
.expand-trigger.active .faq-course__icon::before,
.expand-trigger.active .faq-course__icon::after {
  background-color: var(--white);
}
.expand-trigger.active .faq-course__icon::after {
  transform: translate(-50%, -50%) rotate(0deg);
}
.faq-course__text {
  font-size: 18px;
  line-height: 20px;
  background-color: var(--dark-grey);
  padding: 30px 120px 30px 30px;
}

@media (max-width: 1024px) {
  .faq-course__title {
    font-size: 20px;
  }
}

@media (max-width: 768px) {
  .faq-course__title {
    font-size: 18px;
  }
}

@media (max-width: 600px) {
  .faq-course__item:not(:last-child) {
    border-bottom: none;
    margin-bottom: 1px;
  }
  .faq-course__expand {
    background-color: var(--grey2);
  }
  .expand-trigger.active .faq-course__expand,
  .faq-course__text {
    background-color: var(--grey2);
  }
  .faq-course__text {
    color: var(--grey7);
    padding: 25px 15px;
  }
}

@media (max-width: 375px) {
  .faq-course__title {
    font-size: 16px;
  }
  .faq-course__icon {
    width: 36px;
    height: 36px;
  }
  .faq-course__text {
    font-size: 14px;
  }
}

/* Conditions */
.conditions h2 {
  color: var(--white);
  padding-right: 100px;
  margin-bottom: 70px;
}
.conditions__header {
  position: relative;
}
.conditions__header-block {
  font-weight: 600;
  font-size: 20px;
  text-align: center;
  color: var(--black);
  background-color: var(--white);
  padding: 25px 10px;
}
.conditions__blocks {
  display: flex;
  gap: 30px;
}
.conditions__block {
  background-color: var(--grey8);
  max-width: 427px;
  width: 100%;
}
.conditions__content-container_colorful {
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 40px;
  background-color: var(--main-yellow);
  padding: 10px 50px;
}
.conditions__content-wrapper {
  display: flex;
  flex-direction: column;
  gap: 40px;
  padding: 40px 60px 60px 60px;
}
.conditions__list {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.conditions__list-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.conditions__list-title {
  font-weight: 600;
  font-size: 16px;
  line-height: 129%;
  color: var(--white);
}
.conditions__list-title_right {
  line-height: 94%;
  text-align: right;
}
.conditions__list-item {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 10px;
}
.conditions__list-text {
  font-size: 14px;
  color: var(--white);
}
.conditions__inner-content {
  display: flex;
  flex-direction: column;
  gap: 30px;
}
.conditions__item {
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.conditions__list-number {
  font-weight: 600;
  font-size: 20px;
  line-height: 140%;
  text-align: right;
  color: var(--white);
}
.conditions__button {
  font-family: var(--font-family);
  font-weight: 600;
  font-size: 18px;
  line-height: 122%;
  color: var(--blue);
  border: none;
  outline: none;
  background: transparent;
  transition: all 0.3s ease;
  cursor: pointer;
  margin-top: 20px;
}
.conditions__button:hover {
  color: var(--blue-hover);
}
.conditions__button:hover svg path {
  fill: var(--blue-hover);
}
.conditions__img-wrap {
  max-width: 172px;
  width: 100;
}
.conditions__description {
  font-weight: 600;
  font-size: 20px;
  text-align: center;
  color: var(--grey);
}
.conditions__mobile-block {
  display: none;
}
.conditions__mobile-block_unic {
  display: none;
}
.conditions__block_unic {
  min-height: 500px;
}
.conditions__list-desc {
  display: flex;
  flex-direction: column;
  gap: 40px;
  color: var(--white);
  font-weight: 500;
  font-size: 24px;
}
.conditions__list-desc_spo {
  font-size: 18px;
}
.conditions__title-block {
  font-size: 20px;
}
@media (max-width: 1200px) {
  .conditions__content-wrapper {
    padding: 30px;
  }
}
@media (max-width: 1023px) {
  .conditions__block_visible {
    display: none;
  }
  .conditions__block {
    max-width: unset;
  }
  .conditions__content {
    display: flex;
    flex-direction: column;
    gap: 50px;
  }
  .conditions__mobile-block {
    max-width: 465px;
    position: relative;
    display: block;
    background-color: var(--main-yellow);
    padding: 30px 10px 30px 20px;
  }
  .conditions__mobile-block_unic {
    display: none;
  }
  .conditions__mobile-block::after {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    right: 90px;
    background-image: url(../img/icons/star.webp);
    background-size: contain;
    background-repeat: no-repeat;
    max-width: 97px;
    width: 100%;
    height: 95px;
    transform: translateY(50%);
    z-index: 1;
  }
  .conditions__mobile-wrapper {
    display: flex;
    flex-direction: column;
    justify-self: flex-start;
    gap: 30px;
    max-width: 380px;
  }
  .conditions__mobile-wrapper .button {
    max-width: 92px;
    padding: 10px 15px;
  }
  .conditions__mobile-wrapper .conditions__description {
    text-align: left;
    position: relative;
    z-index: 10;
  }
  .conditions__block_unic {
    min-height: 460px;
  }
  .conditions__wrapper-block {
    display: flex;
    flex-direction: column;
    gap: 50px;
  }
}
@media (max-width: 768px) {
  .conditions__title-block {
    font-size: 16px;
  }
}
@media (max-width: 700px) {
  .conditions__blocks {
    overflow-x: auto;
    overflow-y: hidden;
    gap: 10px;
    width: 100%;
    scroll-snap-type: x mandatory;
    -webkit-overflow-scrolling: touch;
    scrollbar-width: none;
  }
  .conditions__block {
    flex-shrink: 0;
    max-width: 400px;
    width: 100%;
  }
  .conditions__blocks_unic {
    flex-direction: column;
    gap: 50px;
  }
  .conditions__block_unic-desk {
    display: none;
  }
  .conditions__mobile-block_unic {
    display: block;
    max-width: unset;
  }
  .conditions__block_unic {
    max-width: unset;
    min-height: 330px;
  }
}
@media (max-width: 600px) {
  .conditions h2 {
    margin-bottom: 50px;
  }
}
@media (max-width: 500px) {
  .conditions__mobile-block::after {
    right: 20px;
    transform: translateY(68%);
  }
  .conditions__list-number {
    font-size: 18px;
  }
  .conditions__button {
    font-size: 16px;
  }
  .conditions__block:not(.conditions__block_unic) {
    max-width: 310px;
  }
}
@media (max-width: 363px) {
  .conditions .hand-swipe__promptBox {
    bottom: 228px;
  }
  .conditions__block:not(.conditions__block_unic) {
    max-width: 270px;
  }
  .conditions__header-block {
    font-size: 16px;
    padding: 15px 10px;
  }
  .conditions__list-title {
    font-size: 14px;
  }
  .conditions__list-number {
    font-size: 15px;
  }
  .conditions__list-text {
    font-size: 12px;
  }
  .conditions__list-desc {
    font-size: 20px;
  }
  .conditions__list-desc_spo {
    font-size: 16px;
  }
}
@media (max-width: 320px) {
  .conditions__mobile-block::after {
    transform: translateY(108%);
  }
}

/* Formats */
.formats h2 {
  color: var(--white);
  padding-right: 100px;
  margin-bottom: 0;
}
.formats__swiper {
  min-height: 350px;
}
.formats__header {
  position: relative;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 70px;
}
.formats .arrow {
  background-color: var(--grey9);
}
.formats .arrow__dark-img {
  filter: invert(0);
}
.formats__block {
  background-color: var(--white);
  padding: 20px;
}
.yellow-bg {
  background-color: var(--main-yellow);
}
.yellow-bg .formats__installment-plan {
  background-color: var(--yellow5);
  border: none;
}
.yellow-bg .formats__list-steps li::before {
  background-color: var(--grey);
}
.yellow-bg .formats__button {
  color: var(--white);
  background-color: var(--dark-grey);
}
.yellow-bg .formats__sub-text {
  background-color: var(--white);
}
.formats__swiper-wrap {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 80px;
  height: 100%;
}
.formats__content-wrap {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 30px;
}
.formats__block-header {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 10px;
}
.formats__level {
  font-weight: 700;
  font-size: 28px;
}
.formats__sub-text {
  font-weight: 700;
  text-align: center;
  align-content: center;
  background-color: var(--lightest-grey);
  padding: 8px 10px;
}
.formats__form {
  font-weight: 700;
  font-size: 14px;
  border-radius: 10px;
  padding: 8px 12px;
  background-color: var(--lightest-grey);
}
.formats__installment-plan {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 18px;
  border: 1px solid var(--lightest-grey2);
  padding: 15px;
}
.formats__installment-plan_colorful {
  color: var(--white);
  background-color: var(--grey);
}
.formats__text-wrap {
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.formats__price {
  font-weight: 600;
  font-size: 24px;
}
.formats__period {
  font-family: var(--second-family);
  font-weight: 500;
  font-size: 20px;
}
.formats__text {
  font-weight: 500;
  font-size: 16px;
  line-height: 112%;
  text-decoration: line-through;
}
.formats__installment-text {
  align-self: flex-start;
  font-weight: 600;
  font-size: 14px;
  text-align: center;
  color: var(--black);
  background-color: var(--lightest-grey);
  padding: 8px 10px;
}
.formats__installment-text_yellow {
  background-color: var(--main-yellow);
}
.formats__installment-text_dark {
  color: var(--white);
  background-color: var(--black);
}
.formats__list-steps {
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.formats__list-steps li::before {
  content: "";
  display: inline-block;
  flex-shrink: 0;
  width: 15px;
  height: 15px;
  border-radius: 50%;
  background-color: var(--main-yellow);
  vertical-align: baseline;
  margin: 0 10px;
}
.formats__item {
  display: flex;
  font-weight: 500;
  font-size: 14px;
  color: var(--black);
}
.formats__button {
  width: 100%;
  text-align: center;
}
.formats__footer {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.formats__subinfo {
  display: flex;
  align-items: flex-start;
  gap: 10px;
  font-size: 15px;
  color: var(--grey3);
}
.formats__subinfo span {
  flex-shrink: 0;
}
.formats__footer-text span {
  font-weight: 700;
}
.formats__price-sem {
  font-weight: 500;
  font-size: 16px;
  line-height: 113%;
  color: var(--grey3);
}

@media (max-width: 1180px) {
  .formats__price {
    font-size: 20px;
  }
}

@media (max-width: 1024px) {
  .formats__block {
    min-width: unset;
  }
  .formats__swiper-wrap {
    gap: 60px;
  }
}
@media (max-width: 768px) {
  .formats {
    margin-bottom: 40px;
  }
  .formats__block {
    padding: 20px 15px;
  }
  .formats__content-wrap {
    gap: 20px;
  }
  .formats__level {
    font-size: 20px;
  }
  .formats__price {
    font-size: 16px;
  }
  .formats__period {
    font-weight: 600;
    font-size: 14px;
  }
  .formats__form {
    font-size: 12px;
  }
  .formats__text {
    font-size: 12px;
  }
  .formats__installment-text {
    font-size: 12px;
  }
  .formats__list-steps {
    gap: 8px;
  }
  .formats__list-steps li::before {
    width: 12px;
    height: 12px;
  }
  .formats__item {
    font-weight: 400;
    font-size: 12px;
  }
  .formats__button {
    font-size: 14px;
  }
  .formats__swiper-wrap {
    gap: 30px;
  }
  .formats__subinfo {
    gap: 5px;
    font-size: 12px;
  }
  .formats__price-sem {
    font-size: 12px;
  }
}
@media (max-width: 600px) {
  .formats__header {
    margin-bottom: 50px;
  }
  .formats__pagination {
    display: none;
  }
  .formats__swiper {
    min-height: 300px;
  }
}
@media (max-width: 375px) {
  .formats__price {
    font-size: 14px;
  }

  .formats__period {
    font-size: 12px;
  }

  .formats__installment-text {
    font-size: 10px;
  }
}

/* Interest course */
.interest-course h2 {
  color: var(--white);
  padding-right: 100px;
  margin-bottom: 0;
}
.interest-course h3 {
  font-weight: 700;
  font-size: 24px;
  color: var(--white);
}
.interest-course__card-course {
  max-height: 100%;
}
.interest-course__header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 70px;
}
.interest-course .arrow {
  background-color: var(--grey9);
}
.interest-course .arrow__dark-img {
  filter: invert(0);
}
.interest-course .card-course {
  background-color: var(--grey2);
}
.interest-course__content-container {
  height: 100%;
}
.interest-course__content {
  display: flex;
  box-shadow: unset;
  flex-direction: column;
  gap: 15px;
  border: none;
}
.interest-course .card-course__form-edu {
  color: var(--white);
  background-color: var(--dark-grey);
  border: none;
}
.interest-course .card-course__price {
  color: var(--white);
}
.interest-course .card-course__icon {
  filter: invert(1);
}
.interest-course .card-course:hover,
.interest-course .card-course:active {
  background-color: var(--grey2);
}
.interest-course .card-course:hover .card-course__title,
.interest-course .card-course:hover .card-course__time,
.interest-course .card-course:hover .card-course__price,
.interest-course .card-course:hover .card-course__form-edu,
.interest-course .card-course:active .card-course__title,
.interest-course .card-course:active .card-course__time,
.interest-course .card-course:active .card-course__price,
.interest-course .card-course:active .card-course__form-edu {
  color: var(--white);
}
.interest-course .card-course:hover .card-course__form-edu,
.interest-course .card-course:active .card-course__form-edu {
  border: var(--white);
  background-color: var(--dark-grey);
}
.interest-course .card-course:hover .card-course__img-wrap,
.interest-course .card-course:active .card-course__img-wrap {
  transform: translate(-10px, -15px);
}
.interest-course .card-course:hover .card-course__icon,
.interest-course .card-course:active .card-course__icon {
  filter: invert(1);
}
.interest-course .card-course__time {
  font-size: 14px;
  color: var(--white);
}

@media (max-width: 768px) {
  .interest-course {
    margin-bottom: 40px;
  }

  .interest-course h3 {
    font-size: 20px;
    flex: 1;
  }
}
@media (max-width: 600px) {
  .interest-course__header {
    margin-bottom: 50px;
  }
  .interest-course__pagination {
    display: none;
  }
  .interest-course .sub-info {
    font-size: 14px;
  }
}

@media (max-width: 320px) {
  .interest-course__swiper {
    padding-bottom: 70px;
  }
}

/* Form */
.yellow-block {
  padding: 70px 50px;
}
.yellow-block__block {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 20px;
}
.yellow-block::before {
  display: none;
}
.yellow-block__title {
  font-size: 40px;
}
.yellow-block__block h3 {
  font-weight: 700;
  font-size: 24px;
}
.form__logo-wrap {
  max-width: 400px;
  width: 100%;
}

@media (max-width: 1024px) {
  .yellow-block {
    padding: 50px;
  }
  .form__logo-wrap {
    max-width: 320px;
  }
  .yellow-block__title {
    font-size: 30px;
  }
  .yellow-block__block h3 {
    font-size: 22px;
  }
}

@media (max-width: 768px) {
  .yellow-block {
    padding: 30px;
  }
  .yellow-block__block {
    flex-direction: row;
    gap: 60px;
  }
  .form__logo-wrap {
    max-width: 170px;
  }
}

@media (max-width: 700px) {
  .yellow-block__block {
    gap: 30px;
  }
  .form__logo-wrap {
    max-width: 140px;
  }
}

@media (max-width: 600px) {
  .yellow-block {
    padding: 30px 15px;
  }
  .form__button-wrap {
    width: 100%;
  }
  .form__logo-wrap {
    display: none;
  }
}

@media (max-width: 500px) {
  .yellow-block__block {
    flex-direction: column;
  }
}

@media (max-width: 375px) {
  .yellow-block__title {
    font-size: 26px;
  }
  .yellow-block__block h3 {
    font-size: 18px;
  }
}